package com.philisense.www.license;

import java.beans.*;

public class LicenseContentBeanInfo extends SimpleBeanInfo
{
    private static BeanDescriptor beanDescriptor;
    private static final int PROPERTY_consumerAmount = 0;
    private static final int PROPERTY_consumerType = 1;
    private static final int PROPERTY_extra = 2;
    private static final int PROPERTY_holder = 3;
    private static final int PROPERTY_info = 4;
    private static final int PROPERTY_issued = 5;
    private static final int PROPERTY_issuer = 6;
    private static final int PROPERTY_notAfter = 7;
    private static final int PROPERTY_notBefore = 8;
    private static final int PROPERTY_subject = 9;
    private static EventSetDescriptor[] eventSets;
    private static MethodDescriptor[] methods;
    private static final int defaultPropertyIndex = -1;
    private static final int defaultEventIndex = -1;
    
    private static BeanDescriptor getBdescriptor() {
        return LicenseContentBeanInfo.beanDescriptor;
    }
    
    private static PropertyDescriptor[] getPdescriptor() {
        final PropertyDescriptor[] array = new PropertyDescriptor[10];
        try {
            array[0] = new PropertyDescriptor("consumerAmount", LicenseContent.class, "getConsumerAmount", "setConsumerAmount");
            array[1] = new PropertyDescriptor("consumerType", LicenseContent.class, "getConsumerType", "setConsumerType");
            array[2] = new PropertyDescriptor("extra", LicenseContent.class, "getExtra", "setExtra");
            array[3] = new PropertyDescriptor("holder", LicenseContent.class, "getHolder", "setHolder");
            array[4] = new PropertyDescriptor("info", LicenseContent.class, "getInfo", "setInfo");
            array[5] = new PropertyDescriptor("issued", LicenseContent.class, "getIssued", "setIssued");
            array[6] = new PropertyDescriptor("issuer", LicenseContent.class, "getIssuer", "setIssuer");
            array[7] = new PropertyDescriptor("notAfter", LicenseContent.class, "getNotAfter", "setNotAfter");
            array[8] = new PropertyDescriptor("notBefore", LicenseContent.class, "getNotBefore", "setNotBefore");
            array[9] = new PropertyDescriptor("subject", LicenseContent.class, "getSubject", "setSubject");
        }
        catch (IntrospectionException ex) {
            ex.printStackTrace();
        }
        return array;
    }
    
    private static EventSetDescriptor[] getEdescriptor() {
        return LicenseContentBeanInfo.eventSets;
    }
    
    private static MethodDescriptor[] getMdescriptor() {
        return LicenseContentBeanInfo.methods;
    }
    
    @Override
    public BeanDescriptor getBeanDescriptor() {
        return getBdescriptor();
    }
    
    @Override
    public PropertyDescriptor[] getPropertyDescriptors() {
        return getPdescriptor();
    }
    
    @Override
    public EventSetDescriptor[] getEventSetDescriptors() {
        return getEdescriptor();
    }
    
    @Override
    public MethodDescriptor[] getMethodDescriptors() {
        return getMdescriptor();
    }
    
    @Override
    public int getDefaultPropertyIndex() {
        return -1;
    }
    
    @Override
    public int getDefaultEventIndex() {
        return -1;
    }
    
    static {
        LicenseContentBeanInfo.beanDescriptor = null;
        LicenseContentBeanInfo.eventSets = null;
        LicenseContentBeanInfo.methods = null;
    }
}
